view mkinstalldirs @ 74789:ecc3f98301f4

Remove `cl' requirement. Clean up whitespace. Replace '?\ ' by '?\s' throughout. (tutorial-warning-face): Inherit font-lock-warning-face. Move to `help' custom group. (tutorial--key-description): New function. (tutorial--display-changes): Remove redundant arg. Scan for all key sequences to avoid false matches. Cleanup. (tutorial--saved-dir): Save to a subdirectory in .emacs.d to reduce homedir pollution. (help-with-tutorial): Call tutorial--display-changes with no arg.
author Chong Yidong <cyd@stupidchicken.com>
date Thu, 21 Dec 2006 17:26:00 +0000
parents 746c40973d25
children 730155197b96 eb7e8d483840
line wrap: on
line source

#! /bin/sh
# mkinstalldirs --- make directory hierarchy
# Author: Noah Friedman <friedman@prep.ai.mit.edu>
# Created: 1993-05-16
# Public domain

errstatus=0

for file
do
   set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'`
   shift

   pathcomp=
   for d
   do
     pathcomp="$pathcomp$d"
     case "$pathcomp" in
       -* ) pathcomp=./$pathcomp ;;
     esac

     if test ! -d "$pathcomp"; then
        echo "mkdir $pathcomp" 1>&2

        (mkdir "$pathcomp" && chmod a+rx "$pathcomp") || lasterr=$?

        if test ! -d "$pathcomp"; then
  	  errstatus=$lasterr
        fi
     fi

     pathcomp="$pathcomp/"
   done
done

exit $errstatus

# mkinstalldirs ends here